<?xml version="1.0"?>
<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output indent="yes" method="html"/>
<!--
<xsl:strip-space elements="*"/>
-->

<xsl:template match="translation_unit">
<HTML>
	<HEAD>
	   <TITLE> symbols </TITLE>
	</HEAD>
	<BODY BGCOLOR="white">
	<H2> SYMBOLS </H2>

    <xsl:variable name="file" select="substring-before(@filename,'.')"/>
	<xsl:variable name="source_page" select="concat($file, '.html')"/>

	<xsl:for-each select="//symbol">
	   <xsl:sort select="@name"/>
	   <xsl:if test="not(@name='**ret_val**')">
          <A HREF="{$source_page}#{@ast_ref}" TARGET="SOURCE">
             <xsl:value-of select="@name"/>
	      </A><BR/>
	   </xsl:if>
	</xsl:for-each>   


    </BODY>
</HTML>
</xsl:template>

</xsl:stylesheet>