<?xml version="1.0"?>
<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output indent="yes" method="html"/>
<!--
<xsl:strip-space elements="*"/>
-->

<xsl:template match="translation_unit">
<HTML>
	<HEAD>
	   <TITLE> tags </TITLE>
	</HEAD>
	<BODY BGCOLOR="white">
	<H2> Tags </H2>

    <xsl:variable name="file" select="substring-before(@filename,'.')"/>
	<xsl:variable name="source_page" select="concat($file, '.html')"/>

	<UL>
	<xsl:for-each select="//symbol[@namespace='tag']">
	   <xsl:sort select="@name"/>
	   <xsl:if test="not(@name='**ret_val**')">
	   <LI>
          <A HREF="{$source_page}#{@ast_ref}" TARGET="SOURCE">
             <xsl:value-of select="@name"/>
	      </A>
	   </LI>
	   </xsl:if>

	   <UL>
	   <xsl:for-each 
	      select="//struct_or_union_specifier[@id=current()/@ast_ref]
		          /struct_declaration/declarator//identifier">
	   <LI>
	      <A HREF="{$source_page}#{@id}" TARGET="SOURCE">
	         <xsl:value-of select="."/>
		  </A>
	   </LI>
	   </xsl:for-each>
	   </UL>
	</xsl:for-each>   
	</UL>

    </BODY>
</HTML>
</xsl:template>

</xsl:stylesheet>