import java.io.PrintWriter;
import org.w3c.dom.Node;

class FunDef {
  public FunDef(Node node, PrintWriter writer) {}

  public void funDef(Node node, PrintWriter writer){
    for (Node child = node.getFirstChild();
	 child != null;
	 child = child.getNextSibling()){
      forFunDef(child, writer);
    }
  }

  public void forFunDef(Node node, PrintWriter writer){
    switch(node.getNodeType()){
    case Node.TEXT_NODE:
    case Node.ELEMENT_NODE:
      String elemName = node.getNodeName();

      if (elemName.equals("declarator")){
	Declarator declarator = new Declarator(node, writer);
	declarator.declarator(node, writer);
      }
      else if (elemName.equals("declaration")){
	Declaration declaration = new Declaration(node, writer);
	declaration.declaration(node, writer);
	writer.println(";");
      }
      else if (elemName.equals("statement")){
 	Statement state = new Statement(node, writer);
	state.state(node, writer);
      }
      else {
	DeclSpe declSpe = new DeclSpe(node, writer);
	declSpe.declSpe(node, writer);
      }
      break;
    default:
      writer.println("Error in FunDef");
      System.exit(1);
      break;
    }
  }
}
