class Link{
  public int iData;
  public Link next;

  public Link(int id){
    iData = id;
  }

  public int displayLink(){
    return (iData);
  }
}


class LinkList{
  private Link first;

  public LinkList(){
    first = null;
  }

  public boolean isEmpty(){
    return (first==null);
  }

  public void insertFirst(int id){
    Link newLink = new Link(id);
    newLink.next = first;
    first = newLink;
  }

  public Link deleteFirst(){
    Link temp = first;
    first = first.next;
    return temp;
  }

  public int peek(){
    return (first.displayLink());
  }

  public void displayList(){
    System.out.print("List (first-->last): ");
    Link current = first;
    while(current != null){
      System.out.print(current.displayLink()+" ");
      current = current.next;
    }
    System.out.println("");
  }
}
