import java.io.PrintWriter;
import org.w3c.dom.Node;

class StructUnion {
  private int count;

  public StructUnion(Node node, PrintWriter writer) {
    count = 1;
  }

  public void strUni(Node node, PrintWriter writer){
    for (Node child = node.getFirstChild();
	 child != null;
	 child = child.getNextSibling()){
      forStrUni(child, writer);
    }
    if (count != 1) {
      writer.print("}");
      count = 1;
    }
  }

  public void forStrUni(Node node, PrintWriter writer){
    switch(node.getNodeType()){
    case Node.TEXT_NODE:
    case Node.ELEMENT_NODE:
      Node child = node.getFirstChild();
      String elemName = node.getNodeName();

      if (elemName.equals("identifier")){
	writer.println(child.getNodeValue().trim());
      }
      else if (elemName.equals("struct_declaration")){
	StructDecl strDecl = new StructDecl(node, writer);
	if (count == 1) {
	  writer.print("{");
	  strDecl.strDecl(node, writer);
	  writer.print("; ");
	  count = count + 1;
	}
	else {
	  strDecl.strDecl(node, writer);
	  writer.print("; ");
	}
      }
      break;
    default:
      writer.println("Error in StructUnion");
      System.exit(1);
      break;
    }
  }
}
