/*
    XCI: Experimental C Interpreter for ANSI C
    -- Copyright (c) 2000-2002, gondow@jaist.ac.jp
    $Id: float.h,v 1.1 2002/07/09 16:13:35 gondow Exp $
*/ 

#ifndef XCI_FLOAT_H
#define XCI_FLOAT_H

#define FLT_RADIX    	 2
#define FLT_ROUNDS       1
#define FLT_DIG          6
#define FLT_EPSILON      1E-5
#define FLT_MANT_DIG     24
#define FLT_MAX          1E+37
#define FLT_MAX_EXP      128
#define FLT_MIN          1E-37
#define FLT_MIN_EXP      (-125)

#define DBL_DIG          15
#define DBL_EPSILON      1E-9
#define DBL_MANT_DIG     53
#define DBL_MAX          1E+300
#define DBL_MAX_EXP      1024
#define DBL_MIN          1E-300
#define DBL_MIN_EXP      (-1021)

#endif /* XCI_FLOAT_H */
