/*
    XCI: Experimental C Interpreter for ANSI C
    -- Copyright (c) 2000-2002, gondow@jaist.ac.jp
    $Id: limits.h,v 1.1 2002/07/09 16:13:36 gondow Exp $
*/ 

#ifndef XCI_LIMITS_H
#define XCI_LIMITS_H
#define CHAR_BIT    8
#define CHAR_MAX    UCHAR_MAX
#define CHAR_MIN    0
#define INT_MAX     (1024*1024*1024*2-1)   /* 2^31-1 */
#define INT_MIN     (-1024*1024*1024*2)    /* -2^31  */
#define LONG_MAX    INT_MAX
#define LONG_MIN    INT_MIN
#define SCHAR_MAX   127
#define SCHAR_MIN   -128
#define SHRT_MAX    INT_MAX
#define SHRT_MIN    INT_MIN
#define UCHAR_MAX   255
#define UINT_MAX    (1024*1024*1024*4-1)   /* 2^32-1 */
#define ULONG_MAX   UINT_MAX
#define USHRT_MAX   UINT_MAX
#endif /* XCI_LIMITS_H */
