/*
    XCI: eXperimental C Interpreter for ANSI C
    -- Copyright (c) 2000-2002, gondow@jaist.ac.jp
    $Id: stdarg.h,v 1.4 2002/07/08 08:52:51 gondow Exp $
*/ 
#ifndef XCI_STDARG_H
#define XCI_STDARG_H

typedef void *va_list;

extern xci_va_start (char *lastarg);
#define va_start(ARGP, LASTARG)	 (ARGP = xci_va_start (#LASTARG))
#define va_end(ARGP)             /* empty */
#define va_arg(ARGP, TYPE)                                               \
       (ARGP=(va_list)((char*)(ARGP)-                                    \
             (((sizeof(TYPE)+sizeof(int)-1)/sizeof(int))*sizeof(int))),  \
	*((TYPE*)(ARGP)))

#endif /* XCI_STDARG_H */
