import com.jclark.xsl.sax.Driver;

class cref {
    public static void main (String[] args) {
	if (args.length < 2) {
	    System.out.println ("Usage: java cxref <name> <dir>");
	    System.exit (1);
	}
	String name = args [0];
	String dir  = args [1];
	String xml  = name.concat(".xml");
	String[][] cref_args = {
	    {xml, dir.concat("/exceptTag.xsl"), name.concat(".html")},
	    {xml, dir.concat("/pickSymbols.xsl"), name.concat("_symbols.html")},
	    {xml, dir.concat("/pickFiles.xsl"), name.concat("_files.html")},
	    {xml, dir.concat("/pickFunction.xsl"), name.concat("_functions.html")},
	    {xml, dir.concat("/pickGlobal.xsl"), name.concat("_global.html")},
	    {xml, dir.concat("/pickLocal.xsl"), name.concat("_local.html")},
	    {xml, dir.concat("/pickTypedef.xsl"), name.concat("_typedef.html")},
	    {xml, dir.concat("/pickDeclarations.xsl"), name.concat("_declarations.html")},
	    {xml, dir.concat("/pickDefinitions.xsl"), name.concat("_definitions.html")},
	    {xml, dir.concat("/pickTags.xsl"), name.concat("_tags.html")},
	    {xml, dir.concat("/pickEnum.xsl"), name.concat("_enum.html")},
	    {xml, dir.concat("/menu.xsl"), name.concat("_menu.html")},
	    {xml, dir.concat("/topPage.xsl"), name.concat("_top.html")},
	};

	for (int i = 0; i < cref_args.length; i++) {
	    Driver.main (cref_args [i]);
    	}
    }
}

