<?xml version="1.0"?>
<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output indent="yes" method="html"/>
<!--
<xsl:strip-space elements="*"/>
-->

<xsl:template match="translation_unit">
<HTML>
	<HEAD>
	   <TITLE> menu </TITLE>
	</HEAD>
	<BODY BGCOLOR="white">
	<H2> MENU </H2>
    <xsl:variable name="file" select="substring-before(@filename,'.')"/>
	<xsl:variable name="source_page" select="concat($file, '.html')"/>

	<xsl:variable name="symbols_page" 
	   select="concat($file, '_symbols.html')"/>
	<xsl:variable name="files_page" 
	   select="concat($file, '_files.html')"/>
	<xsl:variable name="functions_page" 
	   select="concat($file, '_functions.html')"/>
	<xsl:variable name="global_page" 
	   select="concat($file, '_global.html')"/>
	<xsl:variable name="local_page" 
	   select="concat($file, '_local.html')"/>
	<xsl:variable name="typedef_page" 
	   select="concat($file, '_typedef.html')"/>
	<xsl:variable name="declarations_page" 
	   select="concat($file, '_declarations.html')"/>
	<xsl:variable name="definitions_page" 
	   select="concat($file, '_definitions.html')"/>
	<xsl:variable name="tags_page" 
	   select="concat($file, '_tags.html')"/>
	<xsl:variable name="enum_page" 
	   select="concat($file, '_enum.html')"/>


	<A HREF="{$symbols_page}" TARGET="SYMBOLS">
	   Symbols
	</A><BR/>
	<A HREF="{$files_page}" TARGET="SYMBOLS">
	   Files
	</A><BR/>
	<A HREF="{$functions_page}" TARGET="SYMBOLS">
	   Functions
	</A><BR/>
	<A HREF="{$global_page}" TARGET="SYMBOLS">
	   Global Variables
	</A><BR/>
	<A HREF="{$local_page}" TARGET="SYMBOLS">
	   Local Variables
	</A><BR/>
	<A HREF="{$typedef_page}" TARGET="SYMBOLS">
	   Type Definitions
	</A><BR/>
	<A HREF="{$declarations_page}" TARGET="SYMBOLS">
	   Declarations
	</A><BR/>
	<A HREF="{$definitions_page}" TARGET="SYMBOLS">
	   Definitions
	</A><BR/>
	<A HREF="{$tags_page}" TARGET="SYMBOLS">
	   Tags
	</A><BR/>
	<A HREF="{$enum_page}" TARGET="SYMBOLS">
	   Enum
	</A><BR/>


    </BODY>
</HTML>
</xsl:template>

</xsl:stylesheet>