<?xml version="1.0"?>
<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output indent="yes" method="html"/>
<!--
<xsl:strip-space elements="*"/>
-->

<xsl:template match="translation_unit">
<HTML>
	<HEAD>
	   <TITLE> functions </TITLE>
	</HEAD>
	<BODY BGCOLOR="white">
	<H2> FUNCTIONS </H2>
	<UL>

    <xsl:variable name="file" select="substring-before(@filename,'.')"/>
	<xsl:variable name="source_page" select="concat($file, '.html')"/>


	<xsl:for-each select="function_definition">
       <xsl:sort select="normalize-space(descendant::identifier[1])"/>
	   <LI>
	   <A HREF="{$source_page}#{@id}" TARGET="SOURCE">
	      <xsl:value-of 
		     select="normalize-space(descendant::identifier[1])"/>
	   </A>
	   <UL>
	   <xsl:for-each select="statement/symbol">
	      <xsl:sort select="@name"/>
	      <xsl:if test="not(@name='**ret_val**')">
		     <LI>
             <A HREF="{$source_page}#{@ast_ref}" TARGET="SOURCE">
                <xsl:value-of select="@name"/>
	         </A>
		     </LI>
	      </xsl:if>
	   </xsl:for-each>  
	   </UL>
	   </LI>
	</xsl:for-each>  

    </UL></BODY>
</HTML>
</xsl:template>

</xsl:stylesheet>