<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output indent="yes" method="html"/>
<!--
<xsl:strip-space elements="*"/>
-->

<xsl:template match="translation_unit">
<HTML>
    <HEAD>
       <TITLE><xsl:value-of select="@filename"/></TITLE>
    </HEAD>


    <xsl:variable name="file"
    select="substring-before(@filename,'.')"/>
    <xsl:variable name="source_page" select="concat($file, '.html')"/>
    <xsl:variable name="symbols_page" 
	   select="concat($file, '_symbols.html')"/>
    <xsl:variable name="files_page" 
	   select="concat($file, '_files.html')"/>
    <xsl:variable name="menu_page" 
	   select="concat($file, '_menu.html')"/>
	 
    <FRAMESET COLS="20%, 80%">
	   <FRAMESET ROWS="50%, 50%">
	      <FRAME SRC="{$menu_page}" NAME="MENU"/>
          <FRAME SRC="{$symbols_page}" NAME="SYMBOLS"/>
	   </FRAMESET>
       <FRAME SRC="{$source_page}" NAME="SOURCE"/>
    </FRAMESET>

</HTML>
</xsl:template>

</xsl:stylesheet>