import org.w3c.dom.Node;
import org.w3c.dom.Element;
import org.w3c.dom.Document;
import org.w3c.dom.Attr;

class CreateNode {
  public CreateNode() {}

  public void appendElement(Element parent, String name) {
    Document doc = parent.getOwnerDocument();
    Element child = doc.createElement(name);
    parent.appendChild(child);
  }

  public void appendAttribute(Element parent, String name) {
    Document doc = parent.getOwnerDocument();
    Attr child = doc.createAttribute(name);
    parent.appendChild(child);
  }

}
