//import com.ibm.xml.parsers.DOMParser;
//import com.ibm.xml.parsers.NonValidatingDOMParser;
//import org.apache.xerces.parsers.DOMParser;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import java.io.FileInputStream;
import java.io.PrintWriter;
import java.io.FileWriter;
import java.io.File;
import org.w3c.dom.Node;
import org.w3c.dom.Element;
import org.w3c.dom.Document;
//import org.xml.sax.InputSource;
import org.w3c.dom.NodeList;
 
public class FrameSliceTree {
  public static void frame(Node node, PrintWriter writer, String iName) {

    GetAttr attr = new GetAttr(); 
    Document owner = node.getOwnerDocument();
    Element root = owner.getDocumentElement();
    //    String attrFilename = attr.getAttributeByElement(root, "filename");

    /**
    Integer indexNo = Integer.valueOf(index);
    int position = indexNo.intValue();
    GetNode getNode = new GetNode();
    Node theNode = getNode.getNodeByAttrs(owner, lNo, iName, position);
    */


    Node func = root.getLastChild(); 
    for ( ; (!(func.getNodeName().equals("function_definition")));
	  func = func.getPreviousSibling()){
    }
    func = func.getLastChild().getPreviousSibling();

    CreateSliceTree cst = new CreateSliceTree();
    cst.sliceTree(func, iName, "false", "true");
    Node newNode = root.getLastChild();   //Node "slice"
    Node newNode2 = newNode.getFirstChild();   //Node newFunDef

    /*
    BackWardSlice bws = new BackWardSlice(newNode2);
    TreeInfo info = bws.backWard(theNode);

    TrimBranch bran = new TrimBranch();
    bran.trimBranch(info);
    */

    /**
    PrintDOMTree pdom = new PrintDOMTree();
    pdom.printTree(newNode, writer, 0, 2);
    
    writer.println("#include <stdio.h>");
    writer.println("");
    */

    FunDef fundef = new FunDef(newNode2, writer);
    fundef.funDef(newNode2, writer);

  }
  
  public static void main(String[] args) {
    try {
  	// for jaxp1.1
	DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
	//dbf.setValidating(true);       //optional
	//dbf.setIgnoringElementContentWhitespace(true);    //optional
	DocumentBuilder domp = dbf.newDocumentBuilder();

	//for other parseres
	//DOMParser domp = new DOMParser(); 
	//domp.parse(new InputSource(new FileInputStream(args[0]))); 

	Document doc = domp.parse(new File(args[0])); 
      PrintWriter pwriter = new PrintWriter(System.out);
      frame(doc.getDocumentElement(), pwriter, "frame"); //jaxp1.1 
      //frame(domp.getDocument(), pwriter, "frame"); //other
      pwriter.flush();
    } catch (Exception e) {
      e.printStackTrace();
    }

      /**
     try {
       NonValidatingDOMParser nvdomp = new NonValidatingDOMParser(); 
       nvdomp.parse(new InputSource(new FileInputStream(args[0]))); 
       PrintWriter pwriter = new PrintWriter(System.out);
       frame(nvdomp.getDocument(), pwriter, "frame");
       pwriter.flush();     
     } catch (Exception e) {
       e.printStackTrace();
     }
      */
  }
}
