import java.io.PrintWriter;
import org.w3c.dom.Node;

class ParaDecl {
  public ParaDecl(Node node, PrintWriter writer){}

  public void paraDecl(Node node, PrintWriter writer){
    for (Node child = node.getFirstChild();
	 child != null;
	 child = child.getNextSibling()){
      forParaDecl(child, writer);
    }
  }

  public void forParaDecl(Node node, PrintWriter writer){
    switch(node.getNodeType()){
    case Node.TEXT_NODE:
    case Node.ELEMENT_NODE:
      String elemName = node.getNodeName();
      
      if (elemName.equals("declarator")){
	Declarator declarator = new Declarator(node, writer);
	declarator.declarator(node, writer);
      }    
      else if (elemName.equals("abstract_declarator")){
	AbsDecl absDecl = new AbsDecl(node, writer);
	absDecl.absDecl(node, writer);
      }
      else {
	DeclSpe declSpe = new DeclSpe(node, writer);      
	declSpe.declSpe(node, writer);
      }
      break;

    default:
      writer.println("Error in ParaDecl");
      System.exit(1);
      break;
    }
  }
}
