import java.io.PrintWriter;
import org.w3c.dom.Node;

class Pointer {
  public Pointer(Node node, PrintWriter writer){}

  public void pointer(Node node, PrintWriter writer){
    GetAttr thisAttr = new GetAttr(node);
    String thisRhs = thisAttr.getAttributeByNode(node, "rhs");
    if (thisRhs.equals("single")) {
      writer.print("*");
    }
    else if (thisRhs.equals("pair")) {
      writer.print("*");
    }
    for (Node child = node.getFirstChild();
	 child != null;
	 child = child.getNextSibling()){
      forPointer(child, writer);
    }
  }

  public void forPointer(Node node, PrintWriter writer){
    switch(node.getNodeType()){
    case Node.TEXT_NODE:
    case Node.ELEMENT_NODE:
      String elemName = node.getNodeName();
      
      if (elemName.equals("const") || elemName.equals("volatile")){
	writer.println(elemName);
      }
      else if (elemName.equals("pointer")){
	pointer(node, writer);
      }
      break;
    default:
      writer.println("Error in Pointer");
      System.exit(1);
      break;
    }
  }
}
