import java.io.PrintWriter;
import org.w3c.dom.Node;

class StructDecl {
  public StructDecl(Node node, PrintWriter writer) {}

  public void strDecl(Node node, PrintWriter writer){
    for (Node child = node.getFirstChild();
	 child != null;
	 child = child.getNextSibling()){
      forStrDecl(child, writer);
    }
  }

  public void forStrDecl(Node node, PrintWriter writer){
    switch(node.getNodeType()){
    case Node.TEXT_NODE:
    case Node.ELEMENT_NODE:
      String elemName = node.getNodeName();

      if (elemName.equals("declarator")){
	Declarator decl = new Declarator(node, writer);
	decl.declarator(node, writer);
      }

      else if (elemName.equals("expression")){
	GetAttr thisAttr = new GetAttr(node);
	String thisRhs = thisAttr.getAttributeByNode(node, "rhs");
	Expression expr = new Expression(node, writer);

	if (thisRhs.equals("constant")){
	  writer.print(": ");
	  expr.express(node, writer);
	}
	else {
	  expr.express(node, writer);
	}
      }

      else {
	DeclSpe declSpe = new DeclSpe(node, writer);
	declSpe.declSpe(node, writer);
      }
      break;
    default:
      writer.println("Error in StructDecl");
      System.exit(1);
      break;
    }
  }
}

