import java.io.PrintWriter;
import org.w3c.dom.Node;

class TypeName {
  public TypeName(Node node, PrintWriter writer) {}

  public void typeName(Node node, PrintWriter writer) {
    for (Node child = node.getFirstChild();
	 child != null;
	 child = child.getNextSibling()){
      forTypeName(child, writer);
    }
  }

  public void forTypeName(Node node, PrintWriter writer) {
    switch(node.getNodeType()){
    case Node.TEXT_NODE:
    case Node.ELEMENT_NODE:    
      String elemName = node.getNodeName();
      
      if (elemName.equals("abstract_declarator")){
	AbsDecl absDecl = new AbsDecl(node, writer);
	absDecl.absDecl(node, writer);
      }
      else {
	DeclSpe declSpe = new DeclSpe(node, writer);
	declSpe.declSpe(node, writer);
      }
      break;
    default:      
      writer.println("Error in TypeName");
      System.exit(1);
      break;
    }
  }
}
