/*
    XCI: eXperimental C Interpreter for ANSI C
    -- Copyright (c) 2000-2001, gondow@jaist.ac.jp
    $Id: eval_exp.h,v 1.1.1.1 2002/06/06 01:41:56 gondow Exp $
*/ 

#ifndef XCI_EVAL_EXP_H
#define XCI_EVAL_EXP_H
#include "AST.h"
#include "type.h"

void   eval_exp         (struct AST *ast);
void   eval_exp_opt     (struct AST *ast);
void   eval_lvalue      (struct AST *ast);
void   eval_constant    (struct AST *ast, struct Type *type, void *addr);
void   eval_initializer (struct AST *ast, struct Type *type, void *addr);

#endif  /* XCI_EVAL_EXP_H */
