/*
    XCI: eXperimental C Interpreter for ANSI C
    -- Copyright (c) 2000, gondow@jaist.ac.jp
    $Id: xci_def.h,v 1.1.1.1 2002/06/06 01:41:57 gondow Exp $
*/

/*
  This comment is obsolete; now included by -include xci_def.h.
    This file is assumed to be used by using the option
    -Wp,imacros <this-file>, so do not write anything but
    macro definitions. Under using the option 'imacros',
    all output generated from this file is discarded.
*/ 

/* eliminate all __attribute__ and __extension__ keywords in GNU GCC */
#define __attribute__(arg)
#define __extension__
#define __inline__

/* When using stdarg.h, __builtin_next_arg, for example,  is not 
   declared anywhere. This causes XCI to complain like "no such identifier".
   This declaration inhibits the symptom, but I have to be back here
   to support va_arg () macros later. xxx */
extern void *__builtin_next_arg   ();
extern void *__builtin_alloca     ();
extern void *__builtin_apply_args ();
extern void *__builtin_apply      ();
extern void  __builtin_memcpy     ();

/* for GCC 3.0 (bad quick hacks) */
typedef void *__builtin_va_list;
#define __builtin_va_arg(argp, type) (type)argp
extern void __builtin_stdarg_start ();
extern void __builtin_va_end ();

#if 0
/* XCI does not support implicit declaration of function yet.
   So, we need to explicitly add several declarations. */
extern int  yylex ();
#endif
