/*
    XCI: Experimental C Interpreter for ANSI C
    -- Copyright (c) 2000-2002, gondow@jaist.ac.jp
    $Id: assert.h,v 1.1 2002/07/09 01:31:45 gondow Exp $
*/ 

#ifndef XCI_ASSERT_H
#define XCI_ASSERT_H
#ifdef NDEBUG
#define assert(e) ((void) 0)
#else  /* NDEBUG */
#define assert(e) ((e) ? ((void) 0) : xci_assert (__FILE__, __LINE__, #e))
#endif /* NDEBUG */
void xci_assert (const char *file, int line, const char *expression);
#endif /* XCI_ASSERT_H */
