/*
    XCI: Experimental C Interpreter for ANSI C
    -- Copyright (c) 2000-2002, gondow@jaist.ac.jp
    $Id: stddef.h,v 1.1 2002/07/09 11:43:47 gondow Exp $
*/ 

#ifndef XCI_STDDEF_H
#define XCI_STDDEF_H
typedef unsigned int size_t;
typedef unsigned short int wchar_t;
typedef int      ptrdiff_t;

#define NULL 0
/* the macro 'offsetof' uses statement expression, which is 
   an extention of GCC. */
#define offsetof(TYPE, MEMBER) ({TYPE t;(size_t)((char*)&t.MEMBER-(char*)&t)})
#endif /* XCI_STDDEF_H */

